## org.eclipse.datatools.enablement.sybase.asa.baseloaders
Class AuthorizedObjectPrivilegeASALoader

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.baseloaders.AuthorizedObjectPrivilegeASALoader

    public class AuthorizedObjectPrivilegeASALoader

extends java.lang.Object

Constructor Summary
`AuthorizedObjectPrivilegeASALoader(SQLObject catalogAuthId)`

Method Summary
`void` `loadPrivilegs(org.eclipse.emf.common.util.EList privileges)`
`java.util.HashMap` `loadTableColumnPrivilege()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthorizedObjectPrivilegeASALoader

    public AuthorizedObjectPrivilegeASALoader(SQLObject catalogAuthId)

Method Detail

### loadPrivilegs

    public final void loadPrivilegs(org.eclipse.emf.common.util.EList privileges)

### loadTableColumnPrivilege

    public java.util.HashMap loadTableColumnPrivilege()